-- ===================================================================
-- Eliminazione delle tabelle 
-- (Se esistono)
-- ===================================================================


   DROP TABLE IF EXISTS GENITORI;
   DROP TABLE IF EXISTS PERSONE;

-- ===================================================================
-- Creazione delle tabelle 
-- ===================================================================


CREATE TABLE PERSONE(
  Nome                  CHARACTER(20)    PRIMARY KEY,
  Reddito               NUMERIC(10),
  Eta                   NUMERIC(3),
  Sesso                 CHARACTER
  );


CREATE TABLE GENITORI(
  Figlio                CHARACTER(20)    REFERENCES PERSONE(Nome),
  Genitore              CHARACTER(20)    REFERENCES PERSONE(Nome),
  PRIMARY KEY (Figlio,Genitore)
  );
